Angle Class Reference (Kig Python Scripting API)

| # Kig Python Scripting API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members

Public Member Functions | Static Public Member Functions | List of all members
Angle Class Reference

An Object representing an angle. More...

`#include <other_imp.h>`

Inheritance diagram for Angle:
[legend]
Collaboration diagram for Angle:
[legend]

## Public Member Functions
| Angle (const Coordinate &pt, double start_angle_in_radials, double angle_in_radials)
| Construct an Angle with a given center, start angle and dimension (both in radians).
Object * | transform (const Transformation &) const
| Return this Object, transformed by the transformation t.
Coordinate | attachPoint () const
| Returns a reference point where to attach labels; when this returns an invalidCoord then the attachment is either not done at all, or done in a specific way (like for curves, or for points) The treatment of points could also take advantage of this attachment mechanism.
Object * | copy () const
| Returns a copy of this Object.
const double | size () const
| Return the size in radians of this angle.
const ObjectType * | type () const
| Returns the lowermost ObjectType that this object is an instantiation of.
const Coordinate | point () const
| Return the center of this angle.
const double | startAngle () const
| Return the start angle in radians of this angle.
const double | angle () const
| Return the dimension in radians of this angle.
bool | equals (const Object &rhs) const
| Returns true if this Object is equal to rhs.
Public Member Functions inherited from Object
bool | inherits (const ObjectType *t) const
| Returns true if this Object inherits the Object type represented by t.
bool | valid () const
| Returns true if this is a valid Object.

## Static Public Member Functions
static const ObjectType * | stype ()
| Returns the ObjectType representing the Angle type.
Static Public Member Functions inherited from Object
static const ObjectType * | stype ()
| The ObjectType representing the base Object class.

## Detailed Description

An Object representing an angle.

## Member Function Documentation

## ◆ attachPoint()

Coordinate Angle::attachPoint | ( |  | ) | const
| virtual

Returns a reference point where to attach labels; when this returns an invalidCoord then the attachment is either not done at all, or done in a specific way (like for curves, or for points) The treatment of points could also take advantage of this attachment mechanism.

If this method returns a valid Coordinate, then this is interpreted as a pivot point for the label, which can still be moved relative to that point, but follows the object when the object changes. In practice a new RelativePointType is created (position of the string), this type in turn depends on the object (to get its attachPoint) and two DoubleObject that are interpreted as relative displacement (x and y)

Implements Object.

## ◆ copy()

Object * Angle::copy | ( |  | ) | const
| virtual

Returns a copy of this Object.

The copy is an exact copy. Changes to the copy don't affect the original.

Implements Object.

## ◆ equals()

bool Angle::equals | ( | const Object & | rhs | ) | const
| virtual

Returns true if this Object is equal to rhs.

This function checks whether rhs is of the same Object type, and whether it contains the same data as this Object.

Implements Object.

## ◆ stype()

const ObjectType * Angle::stype | ( |  | ) |
| static

Returns the ObjectType representing the Angle type.

## ◆ type()

const ObjectType * Angle::type | ( |  | ) | const
| virtual

Returns the lowermost ObjectType that this object is an instantiation of.

E.g. if you want to get a string containing the internal name of the type of an object, you can do:

tn = object.type().internalName()

Implements Object.

This file is part of the documentation for tdelibs .
Documentation copyright © 1996-2002 the KDE developers.
Generated on by doxygen 1.16.1 written by Dimitri van Heesch, © 1997-2001